Subject: 27.0.50; C-m in describe-bindings

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 22 Sep 2019 23:53:23 +0200

It's long annoyed med that `C-m' is described thusly by
describe-bindings:

C-c RET		Prefix Command

C-c RET C-c	mml-secure-message-encrypt
C-c RET C-e	mml-secure-message-sign-encrypt
C-c RET C-n	mml-unsecure-message
C-c RET C-p	Prefix Command
C-c RET C-s	mml-secure-message-sign
C-c RET C	Prefix Command
C-c RET P	mml-preview
C-c RET S	Prefix Command
C-c RET b	mml-attach-buffer
C-c RET c	Prefix Command

I know that `C-m' and RET is the same key binding, but I also think that
when this key is used as a prefix key, I don't think anybody has ever
wanted that to be RET instead of `C-m'.

Or is there a way to distinguish what we mean, somehow?

In GNU Emacs 27.0.50 (build 17, x86_64-pc-linux-gnu, GTK+ Version 3.24.5)
 of 2019-09-21 built on marnie
Repository revision: c61bfe0a3adab1a9fd0dc283cbf8291a78ed6da1
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11902000
System Description: Debian GNU/Linux 10 (buster)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no